{% extends 'base.html' %}
{% load static %}

{% block content %}
<div class="about-container">
    <div class="left-side d-flex flex-column justify-content-start">
             
        <!-- Header Text -->
        <div class="header-about ml-5 mt-3">
            <h3>Sign Up</h3>
        </div>
        
        <!-- Navbar -->
        <div class="navbar ml-5 mt-3">
            {% include 'navbar.html' %}
        </div>
    </div>

    
    <div class="main-story9 d-flex flex-column justify-content-center">
    {% if messages %}
        {% for message in messages %}
        <div class="alert alert-{{ message.tags }} alert-dismissible fade show mt-4" role="alert">
            {{ message }}
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
        {% endfor %}
    {% endif %}
    
    <div class="row">

        <div class="right-page col">
            <div class="login-content mx-5 ">

                <div class="title">
                    <h3>Create a new account</h3>
                </div>
            
            <div class="register-form">
                <form method="POST">
                    {% csrf_token %} 
                    {{ form }}
                    <div>
                        <button type="submit" name="btn-signup" id='btn-signUp' class="btn btn-dark mt-4">SIGN UP</button>
                    </div>
                </form>
            </div>
        
            <div class="info mt-5">
                <p>
                    Have an account already? <a class="sign-up-in-link" href="{% url 'story9:login' %}"><strong>Sign in.</strong></a>
                </p>
            </div>
        </div>
    </div> 
</div>

    {% endblock content %}
